
/*----------------------------------------------------------------*/
/*--------------------------- General Purpose --------------------*/
/*----------------------------------------------------------------*/

.Root
{
    position: 0px 0px -1px;
    height:100%;
    width: 100%;
    align: left bottom;
}

#Dummy
{
    align: left bottom;
    margin-left: 240px;
    margin-bottom: 240px;
}

.HUDFlipped #Dummy
{
    align: right bottom;
    margin-left: 0px;
    margin-right: 240px;
}

.MinimapExtraLarge #Dummy
{
    margin-bottom: 285px;
    margin-left: 285px;
}

.MinimapExtraLarge.HUDFlipped #Dummy
{
    margin-left: 0px;
    margin-right: 285px;
}

.Hidden
{
    visibility: collapse;
}

/*----------------------------------------------------------------*/
/*--------------------------- Objective Tray ---------------------*/
/*----------------------------------------------------------------*/

#ObjectiveRoot
{
    width: 244px;
    height: 400px;
    align: left bottom;
    transition: transform 0.5s ease-in-out 0s;
    margin-bottom: 113px;
}

#ObjectiveRoot.Flipped
{
    align: left bottom;
    transform: scaleX(-1);
}

#ObjectiveRoot.WideMap
{
    width: 280px;
    margin-bottom: 160px;
}

#ObjectiveRoot.Expanded
{
    transform: translatey(-118px);
}

#ObjectiveRoot.Expanded.Flipped
{
    transform: translatey(-118px) scaleX(-1);
}
#ObjectiveBorder
{
    z-index: -1;
    height: 160px;
    border: 2px solid #23232abb;
    /* border: 2px solid #ff0000; */
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
    flow-children: right;

}

#ObjectiveTooltipHolder
{
    z-index: 3;
    height: 118px;
    flow-children: right;
}

#ObjectivePanel
{
    flow-children: down;
    padding-top: 20px;
    height: 186px;
    z-index: 0;
}

.PanelShape
{
    width: 100%;
    align: left bottom;
}

#SizeTogglePanel
{
    height: 31px;
    width: 98%;
    margin-top: 2px;
    margin-left: 3px;
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
    margin-bottom: -54px;
    transition: background-color 0.25s linear 0.00s;
    z-index: 0;
}

#SizeTogglePanel.WideMap
{
    height: 42px;
    margin-bottom: -57px;
    width: 97.8%;
}

#SizeTogglePanel:Hover
{
    background-color: gradient( linear, 50% 0%, 50% 100%, from( #00000000 ),
                                                         color-stop(0.22, #045d5688 ),
                                                         color-stop(0.50, #045d5688 ),
                                                         to( #00000000 ) );
}

.ObjectivesBar
{
    width: 99%;
    flow-children: right;
    height: 58px;
    margin-left: 1px;
    padding-left: 6px;
    padding-right: 2px;
    z-index: -1;
}

.ObjectivesBar.WideMap
{
    height: 58px;
    width: 99.3%;
}

#PrimaryObjectivesBar.ObjectivesBar
{
    border: 0px;
    z-index: 1;
    margin-right: 3px;
    margin-left: 3px;
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
    background-color: gradient( linear, 50% 0%, 50% 100%, from( #00000000 ),
                                                         color-stop(0.40, #00000000),
                                                         color-stop(0.40, #33333d77),
                                                         to( #33333d77 ) );
}

#SecondaryObjectivesBar.ObjectivesBar
{
    background-color: #33333d77;
}

#LandmarksBar.ObjectivesBar
{
    background-color: #33333d77;
}

#BottomBGFill
{
    background-color: #33333d77;
    height: 100%;
    width: 99%;
    margin-left: 1px;
}

/*----------------------------------------------------------------*/
/*--------------------------- Objective Icons --------------------*/
/*----------------------------------------------------------------*/

.ObjectiveContainer
{
    z-index: 2;
    vertical-align: middle;
    width: 23%;
    margin-left: 1%;
}

.ObjectiveText
{
    vertical-align: bottom;
    horizontal-align: middle;
    text-align: center;
    font-size: 18px;
    color: #eeeeff;
    text-shadow: 0px 1px 2px 1.0 #000000;
    z-index: 2;
    height: 22px;
    width: 100%;
    margin-left: 1px;
    margin-right: 1px;
    padding-top: 1px;
    padding-bottom: -2px;
    margin-bottom: 3px;
    background-color: #424250;
    border-radius: 2px;
    box-shadow: 0px 2px 2px #0000007a;

}

.ObjectiveText.SmallFont
{
    padding-top: 3px;
    font-size: 14px;
}

.Objective
{
    width: 42px;
    height: 42px;
    border-radius: 40px;
    align: middle top;
    margin-bottom: 12px;
    z-index: 1;
    transition: background-color 1.0s ease-in-out 0s, border 0.3s ease-in-out 0s;
    box-shadow: 0px 2px 6px #0000007a;
    /* note: size, repeat, and position are set programmatically! */
    background-size: 50% 50%;
    background-repeat: no-repeat;
    background-position: 50% 40%;
}

.Objective.WideObjective{
    width: 50px;
    height: 50px;
    align: middle top;
}

.Objective.Incomplete{
    background-color: #5d0404;
    border: 2px solid #5d0404;
}

.Objective.Complete{
    background-color: #045d56;
    border: 2px solid #045d56;
}

.Objective.Perfect{
    background-color: #0759ab;
    border: 2px solid #0759ab;
}

.Objective.Inactive{
    background-color: gradient( radial, 50% 50%, 0% 0%, 80% 80%, from( #373740 ), to( #424250 ) );
    border: 2px solid #373740;
}

.Objective.Incomplete:Hover{
    border: 2px solid #ff6859;
}

.Objective.Complete:Hover{
    border: 2px solid #1eb980;
}

.Objective.Perfect:Hover{
    border: 2px solid #8888ff;
}

.Objective.Inactive:Hover{
    border: 2px solid #9999a2;
}

.HideButton{
    align: right bottom;
    width: 12px;
    height: 12px;
    border: 1px solid black;
    background-color: #888888;
    z-index: 2;
}

.HideButton:Hover{
    background-color: #AAAAAA;
}

.HideButton.Activated{
    background-image: url("file://{images}/squad_status/kicked.png");
    background-size: 80% 80%;
    background-position: center;
}

.Hidden{
    visibility: collapse;
}

.ObjectiveMarker{
    border-style: solid none solid none;
    border-radius: 500px;
    border-width: 2px;
    border-color: #1eb980;
    width: 100%;
    height: 100%;
    z-index: 4;
    transition: transform 3s linear 0s;
    transform: rotatex(0deg) rotatey(0deg);
}

.ObjectiveMarker.Swirl{
    transform: rotatex(180deg) rotatey(180deg);
}

.ObjectiveMarker.DoubleSwirl{
    transform: rotatex(350deg) rotatey(350deg);
}

/*----------------------------------------------------------------*/
/*-------------------- Minimap Icons & Regions -------------------*/
/*----------------------------------------------------------------*/

.MinimapRegion{
    background-color: #CC333388;
    opacity: 0.4;
    border-radius: 4px;
    border: 1px solid #CC3333;
    z-index: 2;
    align: left bottom;
    transition: background-color 1s linear 0s;
}

.Parky.MinimapRegion
{
    border-radius: 800px;
}

.MinimapRegion.Highlighted
{
    animation-name: regionhover;
    animation-duration: 2s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
}

@keyframes 'regionhover' {
  0% {
    border-color: #CC3333;
    background-color: #CC333388;
  }

  50% {
    border-color:#CC8888;
    background-color: #CC888888;
  }

  100% {
    border-color: #CC3333;
    background-color: #CC333388;
  }
}

.MinimapIcon{
    height: 20px;
    width: 20px;
    z-index: 3;
    align: left bottom;
    background-size: 50% 50%;
    background-repeat: no-repeat;
    background-position: center;
}

/*----------------------------------------------------------------*/
/*---------------------- "Hero" Minimap icons --------------------*/
/*----------------------------------------------------------------*/
/* Note that some classes are duplicated
 e.g. ClassA ClassB ClassC
 This is to overcome valve's lack of a CSS priority system (e.g. !important)
 So we abuse specificity rules
*/ 

.HeroContainer
{
    width: 30px;
    height: 30px;
    align: left bottom;
    z-index: 4;
}

.MinimapIconSizeLarge .HeroContainer
{
    width: 35px;
    height: 35px;
}

.MinimapIconSizeMedium .HeroContainer
{
    width: 30px;
    height: 30px;
}

.MinimapIconSizeSmall .HeroContainer
{
    width: 25px;
    height: 25px;
}


.DeadHeroIcon.HeroContainer
{
    z-index: 3;
}

.PortraitIcon
{
    width: 70%;
    height: 70%;
    margin-top: 5%;
    margin-left: 5%;
    border-radius: 100px;
    z-index: 5;
    align: middle middle;
    background-size: 80% 80%;
    background-repeat: no-repeat;
    background-position: 50% 50%;
    border-radius: 30px;
    border: 2px solid pink;
    visibility: collapse;
}

.DeadHeroIcon .PortraitIcon
{
    visibility: visible;
    width: 60%;
    height: 60%;
    margin-top: 10%;
    margin-left: 10%;
    box-shadow: #bb2222 -2px -2px 4px 4px;
    brightness: 0.25;
}

.AltPressed .PortraitIcon
{
    visibility: visible;
}

.MinimapInvertAlt .PortraitIcon
{
    visibility: visible;
}

.MinimapInvertAlt .AltPressed .PortraitIcon
{
    visibility: collapse;
}

.TurnyCircle
{
    width: 55%;
    height: 55%;
    align: middle middle;
    border-radius: 25px 25px 25px 0px;
    background-color:   gradient( radial, 50% 50%, 50% 50%, 50% 50%,
        from( #ffffffff ),
        color-stop(0.60, #ffffffff ),
        color-stop(0.61, #ff000000),
        to( #ff000000 ) );
    visibility: visible;
}

.MiddleCircle
{
    border-radius: 200px;
    width: 45%;
    height: 45%;
    align: middle middle;
    background-color: green;
    margin-top: 1%;
    margin-left: 1%;
    border: 1px solid black;
}

.DeadHeroIcon .TurnyCircle
{
    visibility: collapse;
}

.AltPressed .TurnyCircle
{
    visibility: collapse;
}

.MinimapInvertAlt .TurnyCircle
{
    visibility: collapse;
}

.MinimapInvertAlt .AltPressed .TurnyCircle
{
    visibility: visible;
}

.DeadHeroIcon .MiddleCircle
{
    visibility: collapse;
}

.AltPressed .MiddleCircle
{
    visibility: collapse;
}

.MinimapInvertAlt .AltPressed .MiddleCircle
{
    visibility: visible;
}

.MinimapInvertAlt .MiddleCircle
{
    visibility: collapse;
}

.HeroIconInvisA.HeroIconInvisB.HeroIconInvisC .MiddleCircle
{
    background-color: #FFFFFF00;
}

.HeroIconInvisA.HeroIconInvisB.HeroIconInvisC .PortraitIcon
{
    opacity: 0.5;
}

.HeroIconSelectedA.HeroIconSelectedB .MiddleCircle
{
    border: 2px solid black;
}

.HeroIconSharedA.HeroIconSharedB .MiddleCircle
{
    background-color: #6495ED;
}

.HeroIconPrimaryA.HeroIconPrimaryB .TurnyCircle
{
    background-color:   gradient( radial, 50% 50%, 0% 0%, 100% 100%,
        from( #ffffff00 ),
        color-stop(0.35, #ffffff00 ),
        color-stop(0.36, #ffffffff),
        to( #ffffffff ) );
}

/*----------------------------------------------------------------*/
/*---------------------- "Hero" Icon Colours ---------------------*/
/*----------------------------------------------------------------*/

.PlayerColor1 .TurnyCircle {
    background-color:   gradient( radial, 50% 50%, 0% 0%, 100% 100%,
        from( #ffffff00 ),
        color-stop(0.35, #ffffff00 ),
        color-stop(0.36, #FF0505),
        to( #FF0505 ) );
}
.PlayerColor1 .MiddleCircle {background-color: #FF0505;}
.PlayerColor1 .PortraitIcon {border: 2px solid #FF0505;}

.PlayerColor2 .TurnyCircle {
    background-color:   gradient( radial, 50% 50%, 0% 0%, 100% 100%,
        from( #ffffff00 ),
        color-stop(0.35, #ffffff00 ),
        color-stop(0.36, #0044FF),
        to( #0044FF ) );
}
.PlayerColor2 .MiddleCircle {background-color: #0044FF;}
.PlayerColor2 .PortraitIcon {border: 2px solid #0044FF;}

.PlayerColor3 .TurnyCircle {
    background-color:   gradient( radial, 50% 50%, 0% 0%, 100% 100%,
        from( #ffffff00 ),
        color-stop(0.35, #ffffff00 ),
        color-stop(0.36, #1EE6B7),
        to( #1EE6B7 ) );
}
.PlayerColor3 .MiddleCircle {background-color: #1EE6B7;}
.PlayerColor3 .PortraitIcon {border: 2px solid #1EE6B7;}

.PlayerColor4 .TurnyCircle {
    background-color:   gradient( radial, 50% 50%, 0% 0%, 100% 100%,
        from( #ffffff00 ),
        color-stop(0.35, #ffffff00 ),
        color-stop(0.36, #530080),
        to( #530080 ) );
}
.PlayerColor4 .MiddleCircle {background-color: #530080;}
.PlayerColor4 .PortraitIcon {border: 2px solid #530080;}

.PlayerColor5 .TurnyCircle {
    background-color:   gradient( radial, 50% 50%, 0% 0%, 100% 100%,
        from( #ffffff00 ),
        color-stop(0.35, #ffffff00 ),
        color-stop(0.36, #FFFB03),
        to( #FFFB03 ) );
}
.PlayerColor5 .MiddleCircle {background-color: #FFFB03;}
.PlayerColor5 .PortraitIcon {border: 2px solid #FFFB03;}

.PlayerColor6 .TurnyCircle {
    background-color:   gradient( radial, 50% 50%, 0% 0%, 100% 100%,
        from( #ffffff00 ),
        color-stop(0.35, #ffffff00 ),
        color-stop(0.36, #FC8A0F),
        to( #FC8A0F ) );
}
.PlayerColor6 .MiddleCircle {background-color: #FC8A0F;}
.PlayerColor6 .PortraitIcon {border: 2px solid #FC8A0F;}

.PlayerColor7 .TurnyCircle {
    background-color:   gradient( radial, 50% 50%, 0% 0%, 100% 100%,
        from( #ffffff00 ),
        color-stop(0.35, #ffffff00 ),
        color-stop(0.36, #20BF00),
        to( #20BF00 ) );
}
.PlayerColor7 .MiddleCircle {background-color: #20BF00;}
.PlayerColor7 .PortraitIcon {border: 2px solid #20BF00;}

.PlayerColor8 .TurnyCircle {
    background-color:   gradient( radial, 50% 50%, 0% 0%, 100% 100%,
        from( #ffffff00 ),
        color-stop(0.35, #ffffff00 ),
        color-stop(0.36, #E35BAC),
        to( #E35BAC ) );
}
.PlayerColor8 .MiddleCircle {background-color: #E35BAC;}
.PlayerColor8 .PortraitIcon {border: 2px solid #E35BAC;}

.PlayerColor9 .TurnyCircle {
    background-color:   gradient( radial, 50% 50%, 0% 0%, 100% 100%,
        from( #ffffff00 ),
        color-stop(0.35, #ffffff00 ),
        color-stop(0.36, #959696),
        to( #959696 ) );
}
.PlayerColor9 .MiddleCircle {background-color: #959696;}
.PlayerColor9 .PortraitIcon {border: 2px solid #959696;}
